Subject: Re: [Slim] Ticket 31

From: Bernard Aboba <[email-masked]>
Date: Mon, 24 Apr 2017 14:57:30 -0700

Randall said:

"This has already been discussed on the list and fixed in the draft. The
draft added text suggesting which SIP response code to use, and added a SIP
warning code to the IANA registry.  IANA was informed of the change.  The
current draft includes in Section 5.3:"

[BA] I believe we should close Ticket 31.

On Tue, Mar 28, 2017 at 4:41 PM, Randall Gellens <[email-masked]>
wrote:

> This has already been discussed on the list and fixed in the draft. The
> draft added text suggesting which SIP response code to use, and added a SIP
> warning code to the IANA registry.  IANA was informed of the change.  The
> current draft includes in Section 5.3:
>
>    If the call is rejected due to lack of any languages in common, it is
>    suggested to use SIP response code 488 (Not Acceptable Here) or 606
>    (Not Acceptable) [RFC3261] and include a Warning header field
>    [RFC3261] in the SIP response.  The Warning header field contains a
>    warning code of [TBD: IANA VALUE, e.g., 308] and a warning text
>    indicating that there are no mutually-supported languages; the text
>    SHOULD also contain the supported languages and media.
>
>    Example:
>
>       Warning:  [TBD: IANA VALUE, e.g., 308] proxy.example.com
>          "Incompatible language specification: Requested languages not
>          supported.  Supported languages are: es, en; supported media
>          are: audio, text."
>
> And in Section 6.2 (within the IANA Considerations section):
>
> 6.2.  Warn-Codes Sub-Registry of SIP Parameters
>
>    IANA is requested to add a new value in the warn-codes sub-registry
>    of SIP parameters in the 300 through 329 range that is allocated for
>    indicating problems with keywords in the session description.  The
>    reference is to this document.  The warn text is "Incompatible
>    language specification: Requested languages not supported.  Supported
>    languages and media are: [list of supported languages and media]."
>
> --Randy
>
>
> At 8:14 PM +0000 3/28/17, Natasha Rooney wrote:
>
>  https://trac.ietf.org/trac/slim/ticket/31#comment:1
>>
>>  Hi all!
>>
>>  The ticket review continues! Ticket 31 addresses whether there is a need
>> for a SIP code response for a call failure. Checking the IANA SIP registry
>> is does not seem like there is a response code for language negotiation
>> failure. Shall we request that a new one be added, if so, what should it be?
>>
>>
>> <https://www.iana.org/assignments/sip-parameters/sip-
>> parameters.xhtml#sip-parameters-7>https://www.iana.org/
>> assignments/sip-parameters/sip-parameters.xhtml#sip-parameters-7
>>
>>  Thanks!
>>
>>
>>  Natasha Rooney | Internet Engineering Director | Internet and Web Team |
>> Technology | GSMA | <mailto:[email-masked]>[email-masked] | +44 (0)
>> 7730 219 765 | @thisNatasha | Skype: <mailto:[email-masked]>nroone
>> [email-masked]
>>
>>  This email and its attachments are intended for the above named only and
>> may be confidential. If they have come to you in error you must take no
>> action based on them, nor must you copy or show them to anyone; please
>> reply to this email or call +44 207 356 0600 and highlight the error.
>>
>>
>>  _______________________________________________
>>  SLIM mailing list
>>  [email-masked]
>>  https://www.ietf.org/mailman/listinfo/slim
>>
>
>
> --
> Randall Gellens
> Opinions are personal;    facts are suspect;    I speak for myself only
> -------------- Randomly selected tag: ---------------
> If Richard Branson had worn a pair of steel-rimmed glasses, a
> double-breasted suit and shaved off his beard, I would have
> taken him seriously. As it was I couldn't....
>        --Lord King, Chairman, British Airways
>
> _______________________________________________
> SLIM mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/slim
>